Description

Botones desplegables con textos como cadena en inglés

Associated revisions

Revision 42161 - 04/30/2015 09:53 AM - Francisco Diaz Carsi

fixes #3360
fixes #3361
fixes #3362
fixes #3363
fixes #3364
fixes #3365
fixes #3366
Cambios para traducir los botones desplegables

History

#1 - 04/23/2015 01:07 PM - Joaquin del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2309

#2 - 04/26/2015 12:39 PM - Joaquin del Cerro Murciano

Dejo algunas notas rapidas relacionadas con la implementacion

- Crear clase TranslatedActionInfo implements Actionlnfo en andami en org.gvsig.andami.actioninfo.impl- La clase recibe en su constructor un

actioninfo, que se guarda en una propiedad. Todos sus metodos delegan en el action info que recibe en el constructor salvo "getLabel" y "getTooltip"

que devuelven el valor del delegado traducido

- Modificar la clase DefaultActioninfo, el método getValue, donde devuelve text y tip que llame a getLabel y getTooltip

- Anadir a ActioninfoManager un metodo getTranslated(actioninfo) y crear su implementacién construyendo un TranslatedActioninfo.

- En MDIFrame donde se llama a "dropDownButton.add(action);" sustituirlo por algo como

"dropDownButton.add(actionManager.getTranslated(action));"
#3 - 04/30/2015 09:53 AM - Francisco Diaz Carsi
- % Done changed from 0 to 100
- Status changed from New to Fixed

Applied in changeset svn-gvsig-desktop|r42161.

#4 - 05/07/2015 06:06 PM - Alvaro Anguix
- Status changed from Fixed to Closed

05/17/2024 22



